from fastapi import FastAPI
from fastapi.templating import Jinja2Templates
import uvicorn
import pkg_resources
from starlette.staticfiles import StaticFiles

app = FastAPI()

static_path = pkg_resources.resource_filename('reportGeneration', 'web/static')
app.mount("/static", StaticFiles(directory=static_path), name="static")

templates_path = pkg_resources.resource_filename('reportGeneration', 'web/templates')
templates = Jinja2Templates(directory=templates_path)

@app.get("/")
async def home():
    return templates.TemplateResponse("home.html", {})

def run_server():
    """Запуск FastAPI-сервера"""
    uvicorn.run(app, host="127.0.0.1", port=8000)

if __name__ == "__main__":
    run_server()
